# docker buildx history ls

<!---MARKER_GEN_START-->
List build records

### Options

| Name            | Type          | Default | Description                                  |
|:----------------|:--------------|:--------|:---------------------------------------------|
| `--builder`     | `string`      |         | Override the configured builder instance     |
| `-D`, `--debug` | `bool`        |         | Enable debug logging                         |
| `--filter`      | `stringArray` |         | Provide filter values (e.g., `status=error`) |
| `--format`      | `string`      | `table` | Format the output                            |
| `--local`       | `bool`        |         | List records for current repository only     |
| `--no-trunc`    | `bool`        |         | Don't truncate output                        |


<!---MARKER_GEN_END-->

